# Class: Concurrent::Channel::ValidationError

Inherits:
  Error
  - Object
  - Concurrent::Channel::ValidationError
  show all

Defined in:
  lib/concurrent-ruby-edge/concurrent/channel.rb

## Instance Method Summary collapse

- #initialize(message = nil) ⇒ ValidationError constructor

  A new instance of ValidationError.

## Constructor Details

### #initialize(message = nil) ⇒ `ValidationError`

Returns a new instance of ValidationError.

    35
    36
    37

    # File 'lib/concurrent-ruby-edge/concurrent/channel.rb', line 35

    def initialize(message = nil)
      message ||= 'invalid value'
    end